#define defButtonUp 1
#define defButtonDown 0
#define defButtonSelect 7

unsigned char varButtonPressed; // was the button previously pressed?
unsigned char varButtonSelectPressedTime; // loop counts button was held down
unsigned char varButtonState; // confirmed button pressed and released

void buttonRead(unsigned char button){
  if (digitalRead(button) && (varButtonPressed & (0x1 << button))) {
    varButtonState = (varButtonState & !(0x1 << button)) | (0x1 << button);
  }

  if (!digitalRead(button)){
    varButtonPressed = (varButtonPressed & !(0x1 << button)) | (0x1 << button);
    if (button == 7) varButtonSelectPressedTime++;
  }
}
